HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Please upgrade here. These earlier versions are no longer being updated and have security issues.

Is this for 2.1 only?

This discussion is related to the Timeago addon.
50sQuiff50sQuiff ✭✭
edited October 2012 in Vanilla 2.0 - 2.8

Hi man, I'd love to use this Addon but it doesn't appear to do anything in Vanilla 2.0.x. Is it for 2.1 only? If so, can it be adapted to work with Stable?

Comments

  • KasperKasper Scholar of the Bits Copenhagen Vanilla Staff
    edited October 2012

    Oh dear... I really gotta do some more testing before I release my super-duper-fast-coded plugins :-) The answer is yes, it doesn't work with 2.0.18.4 and probably won't ever do so as it relies on HTML5 micro formats which apparently are only used in the 2.1-branch.

    Kasper Kronborg Isager (kasperisager) | Freelance Developer @Vanilla | Hit me up: Google Mail or Vanilla Mail | Find me on GitHub

  • Ah, too bad. Thanks for clarifying.

  • I just got this extension working in 2.0.18. I simply replaced the Date function in class.format.php with the version from 2.1. Then I appended the 'html' parameter to calls to the Date function. E.g.

    Gdn_Format::Date($Conversation->DateLastMessage, 'html')

    That spits out the date in HTML5 format. I noticed that there is already a FuzzyTime function in the core but decided to take advantage of this plugin for the autorefresh.

    Kasperfh111SrggamerTrent
Sign In or Register to comment.